<template>
    <h1>Imports</h1>
    <a v-link="{ path: '/add-import' }">Add import</a>

    <datatable :url="'/api/v1/imports'" :columns="columns" :options="options"></datatable>
</template>
<style>
</style>
<script>
	import datatable from './datatable.vue';
	export default{
		data(){
			return {
				columns: [
					{
						data: "name",
						title: "Name",
						render: function (data, type, row) {
//							console.log(data);
//							console.log(type);
//							console.log(row);
							return '<a href="#!/import/' + row._id + '">' + data + '</a>';
						}
					},
					{data: "type", title: "Type"},
					{data: "file_type", title: "File type"},
					{data: "update_type", title: "Update type"},
					{data: "status", title: "Status"},
					{data: "warehouse_doc[0].name", title: "Warehouse"},
					{data: "supplier_doc[0].name", title: "Supplier"}
				],
				options: {
					searching: false,
					sorting: false,
				}
			}
		},
		components: {datatable}
	}


</script>
